Post by grendle » Wed May 12, 2021 8:07 pm

Hi all, hope I can get help, I have taken the brave step to move my opencart version only to get a few issues
On the INSTALL page at the very top it says "Unknown: mysql_connect(): The mysql extension is deprecated and will be removed in the future: use mysqli or PDO instead in /home/sites/grendle.co.uk/public_html/web/system/library/db/mysql.php on line 7"
And in the upgrade progress box it says "SyntaxError: Unexpected token < in JSON at position 0 OK Unknown: mysql_connect(): The mysql extension is deprecated and will be removed in the future: use mysqli or PDO instead in /home/sites/grendle.co.uk/public_html/web/system/library/db/mysql.php on line 7{"success":"Patch 1000 has been applied (1 of 10)","next":"index.php?route=upgrade\/upgrade\/next&step=2"}"
I cant continue and have no idea how to resolve
HELP PLEASE

Newbie

Posts

Joined
Tue Mar 03, 2015 8:44 pm

Post by grendle » Wed May 12, 2021 8:14 pm

line 7 says
if (!$this->connection = mysql_connect($hostname . ':' . $port, $username, $password)) {
trigger_error('Error: Could not make a database link using ' . $username . '@' . $hostname);
exit();
}

Newbie

Posts

Joined
Tue Mar 03, 2015 8:44 pm

Post by straightlight » Wed May 12, 2021 8:22 pm

Upgrading between such versions requires advanced knowledge to go through the process. You could always create a new service request in the Commercial Support section of the forum, or contact me directly via PM, to get this done as a custom job.

The most generated errors being found on Opencart forum originates from contributed programming. The increased post counters are caused by redundancies of the same solutions that were already provided prior.


Regards,
Straightlight
Programmer / Opencart Tester


Legendary Member

Posts

Joined
Mon Nov 14, 2011 11:38 pm
Location - Canada, ON

Post by ADD Creative » Wed May 12, 2021 11:50 pm

Change the DB_DRIVER' to 'mysqli' in your config.php and admin/config.php.

www.add-creative.co.uk


Active Member

Posts

Joined
Sat Jan 14, 2012 1:02 am
Location - United Kingdom

Post by paulfeakins » Thu May 13, 2021 4:36 pm

ADD Creative wrote:
Wed May 12, 2021 11:50 pm
Change the DB_DRIVER' to 'mysqli' in your config.php and admin/config.php.
Yep this should do it.

For quick, professional OpenCart support please email info@antropy.co.uk


User avatar
Guru Member

Posts

Joined
Mon Aug 22, 2011 11:01 pm
Location - Reigate, Surrey, United Kingdom
Who is online

Users browsing this forum: aaron.rosete and 22 guests